import * as React from 'react';
import { BaseToolbarProps, ExportedBaseToolbarProps } from '../internals/models/props/toolbar';
import { DateTimePickerToolbarClasses } from './dateTimePickerToolbarClasses';
import { DateOrTimeViewWithMeridiem, WrapperVariant } from '../internals/models';
export interface ExportedDateTimePickerToolbarProps extends ExportedBaseToolbarProps {
    ampm?: boolean;
    ampmInClock?: boolean;
}
export interface DateTimePickerToolbarProps<TDate> extends ExportedDateTimePickerToolbarProps, BaseToolbarProps<TDate | null, DateOrTimeViewWithMeridiem> {
    /**
     * Override or extend the styles applied to the component.
     */
    classes?: Partial<DateTimePickerToolbarClasses>;
    toolbarVariant?: WrapperVariant;
}
declare function DateTimePickerToolbar<TDate extends unknown>(inProps: DateTimePickerToolbarProps<TDate>): React.JSX.Element;
declare namespace DateTimePickerToolbar {
    var propTypes: any;
}
export { DateTimePickerToolbar };
